Subject: Add Validators for generic base types
Description

The framework should provide a few validators which can handle basic types such as:

    -  Text (ie. text without control characters. Question is if HTML would be a valid text?)
    -  Float
    -  Number
    -  NumberRange
    -  Integer
    -  EmailAddress
    -  NotEmpty
    -  RegularExpression

(Maybe create tickets for each of them)
Always make sure to be clear about the difference between filter and validator.

Associated revisions
Revision cf097610 - 2008-04-16 17:36 - Andreas Förthner

This is all work in progress, but a big part of the Validation/Property Package is already finished:

    -  Implemented the basic Validation Framework. This fixes #65, #67, #68, #70
    -  Implemented some base validators. This fixes #71
    -  Implemented a basic Framwework for PropertyEditors

History
#1 - 2008-01-08 19:56 - Malte Jansen

This one should be missed:

    -  Alphanumeric

Pretty useful for hashes or other identifications.

Perhaps some of the validators are pretty useful for a direct check of Arguments...

e.g.

    $this->arguments->addNewArgument('packageKey', 'alphanumeric');
#2 - 2008-01-28 15:58 - Robert Lemke
- Target version changed from 1 to 18

#3 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)
